
Name:           kdeutils
Epoch:          6
Version:        4.0.3
Release:        4%{?dist}
Summary:        K Desktop Environment - Utilities

Group:          Applications/System
# FIXME/TODO: Check license
License:        GPLv2
URL:            http://www.kde.org
Source0:        ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# FIXME/TODO: Tpctl is needed for klaptopdaemon
BuildRequires:  cmake
BuildRequires:  kde-filesystem >= 4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  kdepimlibs-devel >= %{version}
BuildRequires:  kdebase-workspace-devel >= %{version}
BuildRequires:  gmp-devel
BuildRequires:  libarchive-devel
BuildRequires:  libzip-devel
BuildRequires:  openldap-devel
BuildRequires:  python-devel
BuildRequires:  qimageblitz-devel

# FIXME/TODO: are there other explicit Requires?
Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils
Requires: kdelibs4 >= %{version}

Obsoletes: %{name}-extras < %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: %{name}-libs < %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: %{name}-devel < %{?epoch:%{epoch}:}%{version}-%{release}

%description
Utilities for the K Desktop Environment.
Includes:
  * ark (tar/gzip archive manager);
  * kcalc (scientific calculator);
  * kcharselect (character selector);
  * kdepasswd (change password);
  * kdessh (ssh front end);
  * kdf (view disk usage);
  * kedit (simple text editor);
  * kfloppy (floppy formatting tool);
  * kgpg (gpg gui)
  * kjots (note taker);
  * ktimer (task scheduler);
  * kwikdisk (removable media utility)

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Development files for %{name} 
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
Requires: kdelibs4-devel kdepimlibs4-devel kdebase-workspace-devel
%description devel
%{summary}.


%prep
%setup -q

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/ark/
%{_kde4_appsdir}/kcalc/
%{_kde4_appsdir}/kcharselect/
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/kdf/
%{_kde4_appsdir}/kgpg/
%{_kde4_appsdir}/kjots/
%{_kde4_appsdir}/kwalletmanager/
%{_kde4_appsdir}/superkaramba/
%{_kde4_appsdir}/sweeper/
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_docdir}/HTML/en/ark/
%{_kde4_docdir}/HTML/en/kcalc/
%{_kde4_docdir}/HTML/en/kcharselect/
%{_kde4_docdir}/HTML/en/kdf/
%{_kde4_docdir}/HTML/en/kfloppy/
%{_kde4_docdir}/HTML/en/kgpg/
%{_kde4_docdir}/HTML/en/kjots/
%{_kde4_docdir}/HTML/en/ktimer/
%{_kde4_docdir}/HTML/en/kwallet/
%{_kde4_docdir}/HTML/en/superkaramba/
%{_kde4_iconsdir}/hicolor/*/apps/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/autostart/*
%{_kde4_configdir}/*
%{_kde4_libdir}/libkdeinit4_kcalc.so
%{_kde4_libdir}/kde4/*

%if 0
%files libs
%defattr(-,root,root,-)
%endif
%{_kde4_libdir}/lib*.so.*

%if 0
%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%exclude %{_kde4_libdir}/libkdeinit*.so
%endif
%{_kde4_libdir}/lib*.so


%changelog
* Fri Apr 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-4
- add BR libarchive-devel

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Tue Feb 05 2008 Than Ngo <than@redhat.com> 4.0.1-2
- backport to fix the wrong signal name of a KSelectAction

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 6:4.0.1-1
- kde-4.0.1

* Wed Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 6:4.0.0-2
- drop Requires: %%name-libs (doesn't exist anymore)

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 6:4.0.0-1
- kde-4.0.0

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.97.0-3
- libs subpkg
- Obsoletes: -extras
- omit parallel-install symlink hack

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 6:3.97.0-2
- rebuild for changed _kde4_includedir

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.97.0-1
- kde-3.97.0

* Sat Dec 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.96.2-2
- kcalc_32bit patch

* Sat Dec 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.96.2-1
- kde-3.96.2

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.1-1
- kde-3.96.1
- added epoch in changelog (also backwards)

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-6
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-5
- BR: libXcomposite-devel
- BR: libXdamage-devel
- BR: libxkbfile-devel
- BR: libXv-devel
- BR: libXxf86misc-devel
- BR: libXScrnSaver-devel

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-4
- require /sbin/ldconfig xdg-utils on %%post and %%postun
- some small spec cleanups
- +BR: kde-filesystem
- +BR: kde4-macros(api)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-3
- BR: libzip-devel
- added %%defattr to package devel

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-2
- re-added missing epoch (from kdeutils3)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-1
- Initial version for Fedora
